
VisIt - Bug # 1177: SaveMovie wizard, missing beginning timesteps OpenFOAM data, Windows

Status: Pending Priority: Normal

Author: Kathleen Biagas Category:

Created: 08/23/2012 Assigned to:

Updated: 08/28/2012 Due date:

Likelihood: 3 - Occasional

Severity: 4 - Crash / Wrong Results

Found in Version: 2.5.1

OS: Windows

Support Group: Any

Subject: SaveMovie wizard, missing beginning timesteps OpenFOAM data, Windows

Description: Reported by Tiffany Mitori.  She is using 2.5.2 on Windows 7.


She gave me her data for testing, but our OpenFOAM test data works too.





Open /data/OpenFOAM_test_data/mixer2D_ascii/VTK/mixer2D_*.vtk database


Create a Pseudocolor plot of cellId


Draw


Using SaveMovie wizard, create a simple mpeg or png images.





In the terminal window that pops up and displays messages, you will note the error:


'SetTimeSliderState was called when there was no time slider'


This occurs for the first nine time steps.


The resultant movie/images show timestep 0 for the first 9 timesteps, then it jumps to the correct time state.





Does not happen on linux.





Interestingly, if I save a session, and run 'visit -movie' from a command prompt, all of the frames are saved 

correctly.


History

08/23/2012 07:55 pm - Kathleen Biagas

Appears to be related to the filename format (eg lack of consistency with the numbered part).


If I rename the files to all have the same format  -- %04d  (file_0000.vtk, etc), then the SaveMovie wizard works correctly with the files.





Still a mystery why SaveMovie on linux and using '-movie' handle the filename format just fine.

08/24/2012 05:20 pm - Kathleen Biagas

Okay, file name format issue was a red herring.  I can actually reproduce the bug with wave as well.


(well, sometimes, anyway!)





Tracked it down to this code in ViewerClientConnection::LaunchClient





#ifdef _WIN32


    // Initiate sending state objects to the client.


    initialStateStage = viewerState->FreelyExchangedState();


    QTimer::singleShot(50, this, SLOT(sendInitialState()));


#else


    // Send all of the state except for the first 7 state objects, which


    // are: ViewerRPC, PostponedRPC, syncAtts, messageAtts, statusAtts,


    // metaData, silAtts.


    debug1 << mName << "Sending state objects to client." << endl;
    for(int i = viewerState->FreelyExchangedState(); 


        i < viewerState->GetNumStateObjects(); ++i)


    {


        viewerState->GetStateObject(i)->SelectAll();


        SetUpdate(false);


        viewerState->GetStateObject(i)->Notify();


    }


#endif








If I make Windows take the same path as linux, then the Save Movie wizard works correctly.


However, I know this code-path was added to address other issues with Client launching on Windows, so I'm not certain


the best way to proceed from this point.

08/28/2012 06:54 pm - Kathleen Biagas

- Status changed from New to Pending

- Severity changed from 3 - Major Irritation to 4 - Crash / Wrong Results
